### Method

# EDataServerUI WebDAVDiscoverContent get_user_address

since: 3.18

#### Declaration [src]

    gchar*
    e_webdav_discover_content_get_user_address (
      GtkWidget* content
    )

#### Description [src]

Get currently selected user address in the `content`, if the server returned any. This value has meaning only with calendar sources.

Available since: 3.18

#### Return value

Type: `gchar*`

Currently selected user address. The returned string is newly allocated and should be freed with `g_free()` when no longer needed. If there are none addresses provided by the server, or no calendar sources were found, then `NULL` is returned instead.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.